package es.unican.docencia.y2011.eda.practica2.estatico;

import java.io.IOException;

/**
 * Clase que sirve de punto de entrada a la aplicacion y cuyo objetivo
 * es basicamente probar que el tipo enumerados DiaSemana funciona
 * correctamente  
 * @author Pablo Snchez (p.sanchez@unican.es)
 * 		   http://personales.unican.es/sanchezbp
 */
public class Runner {

	/**
	 * Punto de entrrada a la aplicacion
	 * @param args Argumentos pasados por la lnea de comandos. Simplemente se ignoran
	 */
	public static void main(String[] args) {
		
		System.out.println("ADVERTENCIA: Se han suprimido todos los acentos para evitar problemas de compatibilidad entre diferentes computadoras.");
		System.out.println("");		

		DiaSemana d;
		try {
			d = DiaSemana.LeerDiaSemana("Introduzca un dia de la semana : ");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			d = DiaSemana.Lunes;
		}
				
		System.out.println("====================================================");
		System.out.println("El dia de la semana leido es " + DiaSemana.toString(d));
		System.out.println("El dia siguiente al dia leido es " + DiaSemana.toString(DiaSemana.siguiente(d)));
		System.out.println("El dia anterior al dia leido es " + DiaSemana.toString(DiaSemana.anterior(d)));
		System.out.println("");
		
		if (DiaSemana.esHabil(d)) {
			System.out.println("El dia leido es un dia habil");
		} else {
			System.out.println("El dia leido no es un dia habil");
		} // if
		
		System.out.println("");
		System.out.println("Dentro de tres dias sera " + DiaSemana.toString(DiaSemana.suma(d,3)));
		System.out.println("");
		
		if (DiaSemana.menor(d,DiaSemana.Miercoles())) {
			System.out.println("El dia de la semana es anterior al Miercoles ");
		} else if (d == DiaSemana.Miercoles){
			System.out.println("El dia de la semana es igual a Miercoles ");
		} else {
			System.out.println("El dia de la semana es posterior a Mircoles");
		} //if
		
		System.out.println("");
		System.out.println("Hasta mas ver");
					
	} // main

} // Runner
